Psp 3000 Stuck on a corrupted/unupgradable 6.20

Discussion in 'PSP - Hacking & Homebrew' started by ColdForge, Mar 22, 2017.

  1. ColdForge
    OP

    ColdForge Member

    Newcomer
    26
    0
    Dec 3, 2009
    United States
    Illinois
    I follow the softmod guide here: https://gbatemp.net/threads/how-to-softmod-hack-your-psp.293978/ in an attempt to be able to run homebrew on my psp 3000.

    I was originally at 6.60 and used ChronoSwitch to downgrade to 6.20 but I wasn't able to get 6.20 PROC2 to install, I just got a perpetual black screen, so I wanted to try and restore it back to 6.60

    I now believe that I'm stuck as when I try to upgrade back to 6.60, it says the data is corrupted. I tried running Frostgater's TA-095 Upgrader and it says it's corrupted. I tried re-running 6.20 PROC2 and I just get a black screen. Can't get online, can't run homebrew, can't upgrade/restore back to the original state, it seems like my psp is now sort of soft bricked. If it helps, when I go into System Settings, it says I'm on 6.20. I can't run PSPident 0.74 either, it says the data is corrupted.

    Any help or suggestions would be greatly appreciated. Thanks for your time.
     
    Last edited by ColdForge, Mar 22, 2017
  2. nero99

    nero99 GBAtemp Advanced Maniac

    Member
    1,907
    866
    Sep 18, 2014
    United States
    Why didn't you just use the infinity cfw? Hate to say it but you're more then likely bricked some how now.
     
  3. Enigma Hall

    Enigma Hall GBAtemp Advanced Fan

    Member
    645
    199
    Feb 6, 2013
    Brazil
    I had the same trouble. Infinity worked well.
     
    ColdForge likes this.
  4. ColdForge
    OP

    ColdForge Member

    Newcomer
    26
    0
    Dec 3, 2009
    United States
    Illinois
    I wasn't aware of infinity CSW, I don't think it was mentioned in the guide that I found in the forums here. Any links for this?
     
  5. ColdForge
    OP

    ColdForge Member

    Newcomer
    26
    0
    Dec 3, 2009
    United States
    Illinois
    Was there anything special you had to do to get out of the state I'm in? I'm going to try using Infinity CSW and hope that it works...
     
  6. ColdForge
    OP

    ColdForge Member

    Newcomer
    26
    0
    Dec 3, 2009
    United States
    Illinois
    Yeah, I think I'm SOL, I tried to open 6.61 Infinity Firmware Builder after following the directions and it says it's corrupted... sigh. If someone could find me a way to restore other than buying a new PSP I'd be extremely grateful.
     
  7. Enigma Hall

    Enigma Hall GBAtemp Advanced Fan

    Member
    645
    199
    Feb 6, 2013
    Brazil
    Try downgrade again and do the infinity process to see if change. Also try to downgrade to another low firm first.
    Building have two options if I remember. Try the one you dont had bricked.
     
    Last edited by Enigma Hall, Mar 23, 2017
    ColdForge likes this.
  8. ColdForge
    OP

    ColdForge Member

    Newcomer
    26
    0
    Dec 3, 2009
    United States
    Illinois
    Using ChronoSwitch v7, it says my firmware isn't supported. Is there a different downgrader I should be using?